DMAM_ALLOC_NONCOHERE(9)

NAME
dmam_alloc_noncoherent - Managed dma_alloc_non_coherent

SYNOPSIS

void * dmam_alloc_noncoherent(struct device * dev, size_t size, dma_addr_t * dma_handle, gfp_t gfp);

ARGUMENTS

dev
    Device to allocate non_coherent memory for

size
    Size of allocation

dma_handle
    Out argument for allocated DMA handle

gfp
    Allocation flags

DESCRIPTION

Managed dma_alloc_non_coherent. Memory allocated using this function will be automatically released on driver detach.

RETURNS

Pointer to allocated memory on success, NULL on failure.

COPYRIGHT